import { userinfo } from '@/api';
import { createStore } from 'vuex'

export default createStore({
  state: {
    userinfo:{
      username: "username",
      head: ""
    },
    islogin: false
  },
  mutations: {
    setUserInfo(state, userinfo){
      state.userinfo = userinfo
    },
    login(state){
      state.islogin = true;
    }
  },
  actions: {
    async setUserInfo({ commit }){
      const user = await userinfo();
      commit('setUserInfo', user);
    }
  },
  modules: {
  }
})
